Login
Newsletter
Werbung

Sicherheit: Denial of Service in nghttp2
Aktuelle Meldungen Distributionen
Name: Denial of Service in nghttp2
ID: SUSE-SU-2020:0722-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1, SUSE Linux Enterprise Module for Basesystem 15-SP1
Datum: Do, 19. März 2020, 15:53
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-18802
Applikationen: nginx

Originalnachricht


SUSE Security Update: Security update for nghttp2
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:0722-1
Rating: moderate
References: #1159003 #1166481
Cross-References: CVE-2019-18802
Affected Products:
SUSE Linux Enterprise Module for Open Buildservice
Development Tools 15-SP1
SUSE Linux Enterprise Module for Basesystem 15-SP1
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for nghttp2 fixes the following issues:

nghttp2 was update to version 1.40.0 (bsc#1166481)

- lib: Add nghttp2_check_authority as public API
- lib: Fix the bug that stream is closed with wrong error code
- lib: Faster huffman encoding and decoding
- build: Avoid filename collision of static and dynamic lib
- build: Add new flag ENABLE_STATIC_CRT for Windows
- build: cmake: Support building nghttpx with systemd
- third-party: Update neverbleed to fix memory leak
- nghttpx: Fix bug that mruby is incorrectly shared between backends
- nghttpx: Reconnect h1 backend if it lost connection before sending
headers
- nghttpx: Returns 408 if backend timed out before sending headers
- nghttpx: Fix request stal


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools
15-SP1:

zypper in -t patch
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-722=1

- SUSE Linux Enterprise Module for Basesystem 15-SP1:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-722=1



Package List:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools
15-SP1 (aarch64 ppc64le s390x x86_64):

nghttp2-1.40.0-3.6.3
nghttp2-debuginfo-1.40.0-3.6.3
nghttp2-debugsource-1.40.0-3.6.3
python3-nghttp2-1.40.0-3.6.3
python3-nghttp2-debuginfo-1.40.0-3.6.3

- SUSE Linux Enterprise Module for Open Buildservice Development Tools
15-SP1 (x86_64):

libnghttp2_asio1-32bit-1.40.0-3.6.3
libnghttp2_asio1-32bit-debuginfo-1.40.0-3.6.3

- SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x
x86_64):

libnghttp2-14-1.40.0-3.6.3
libnghttp2-14-debuginfo-1.40.0-3.6.3
libnghttp2-devel-1.40.0-3.6.3
libnghttp2_asio-devel-1.40.0-3.6.3
libnghttp2_asio1-1.40.0-3.6.3
libnghttp2_asio1-debuginfo-1.40.0-3.6.3
nghttp2-debuginfo-1.40.0-3.6.3
nghttp2-debugsource-1.40.0-3.6.3

- SUSE Linux Enterprise Module for Basesystem 15-SP1 (x86_64):

libnghttp2-14-32bit-1.40.0-3.6.3
libnghttp2-14-32bit-debuginfo-1.40.0-3.6.3


References:

https://www.suse.com/security/cve/CVE-2019-18802.html
https://bugzilla.suse.com/1159003
https://bugzilla.suse.com/1166481

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung